# Viewing data with layers (and how to use Layers Pane)

### 1. Adding layers and viewing data
##### Adding layers
After opening data files, you can add layers to the 3D-image in the **Rendering Pane** as follows:

1.  In *Menu Category*, choose *Layer* category.
1.  In *Add Layer* panel, click the corresponding button with the layer that you want to add.

    ![](img/3-3-1-add-layer.png)

1.  In *Edit [Layer Name] Layer* dialog box, such as *Edit Horizontal Plane Layer*, select the variable you want to show in *Select Variable* panel, set the vertical altitude and map area of the layer in *Area and level to Display* panel and other options, and click *OK* button.


    ![](img/3-3-1-edit-layer.png)


 
After adding a layer, such as *Horizontal Plane*, **Rendering Pane** displays data of the selected variable on the layer, **Layers Pane** displays the added layer, and **Actions Pane** displays the *Add layer* action.

![](img/3-3-1-add-layer-result.png)

In addition, the program generates one more category corresponding to the added layer in *Menu Category*, such as *Horizontal Plane* category. 

![](img/3-3-1-add-category.png)

This new category contains two panels. 

*  *Grid Options* panel contains buttons used to set the properties of the layer grid data to extract from the numerical model data.
*  *Style* panel contains buttons used to set the display properties of the added layer.

Note that the name of the added category and its ribbon are displayed differently with different added layer. 


##### Viewing data
To display data of another variable on the current layer, you can *select* that variable in the list (on the **Variables Pane**) and:

*  double-click on that variable; or 
*  click the first button on the control bar, then select *Show on Current Layer*; or
*  right-click and select *Show on Current Layer*.


### 2. Layers Management

**Layers Pane** displays the list of layers according to the adding order and shows layer information such as layer properties, style and layer grid. 

![](img/3-3-2-layers-pane.png)

Each layer item in the list consists of *Show/Hide* checkbox, *Layer Name*, *Lock Time* and *Close* buttons.

The *Layer Name* is created in the following format: %VARIABLE NAME% : %SECTION TYPE% - %VERTICAL SYSTEM%



##### Showing/Hiding layers

*  You can show or hide a layer on the **Rendering Pane** by checking or unchecking the *Show/Hide* checkbox .

      ![](img/3-3-2-show-hide.png)

*  You can show all layers or hide all layers in the list by clicking *Show All* or *Hide All* button on the control bar.

      ![](img/3-3-2-show-hide-all.png)

      You can also show or hide the layers by choosing *Layer* category in *Menu Categories*. In *View* panel, click the *Show* button.

##### Closing layers

*  You can close each layer in the list by click the *Close* button.

      ![](img/3-3-2-close.png)

*  You can close all layers by clicking *Close All* button on the control bar.

      ![](img/3-3-2-close-all.png)

      You can also show or hide the layers by choosing *Layer* category in *Menu Categories*. In *View* panel, click the *Close* button.


##### Saving/Opening layers

*  You can save 


*  You can open the saved 


##### Right-click


<br><br>

| [Previous Page](3-2-open-data) | [Home (Table of Contents)](home) | [Next Page](3-4-control-perspective) |
| :------- | :----------------------: | ---: |
